The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Assign an Attack Filter to a Domain and an Attack

Prev Next

This URL assigns the specified attack filters to a particular domain and an attack.

Resource URL

POST /domain/<domain_id>/attackfilter

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domain_id

ID of domain in which the attack filter is created

Number

Yes

Payload Parameters:

Field Name

Description

Data Type

Mandatory

AssignAttackFilterRequest

List of attack filters

Array

Yes

Details of object in AssignAttackFilterRequest:

Field Name

Description

Data Type

Mandatory

AttackID

Attack id

String

Yes

Direction

Attack direction, can be "INBOUND" / "OUTBOUND" / "BOTH" / "UNKNOWN"

String

Yes

Overwrite

Overwrite filter

Number

Yes

FilterId

List of attack filter ids

Array

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

Status

Assignment status

Number

Example

Request

POST https://<NSM_IP>/sdkapi/domain/0/attackfilter

Payload:

{
 "AssignAttackFilterRequest": [
 	{
 		"Direction": "INBOUND",
 		"AttackId": "0x40503900",
			"FilterId": [
 				419,
 				420
 		],
 		"Overwrite": true
 	},
 	{
 		"Direction": " INBOUND ",
 		"AttackId": "0x48304e00",
 		"FilterId": [
 				419
 		],
 		"Overwrite": true
 	}
 ]
}
 

Response

 {
 	"status":1
 }

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain

2

404

1402

Invalid attack id

3

404

1403

Invalid attack direction

4

404

1408

Invalid attack filter id